Public Class SplitterEx
    Inherits System.Windows.Forms.Splitter

    Private AllowMove_ As Boolean

    Public Sub New()
        AllowMove_ = True
    End Sub

    Protected Overrides Sub OnMouseDown(ByVal e As System.Windows.Forms.MouseEventArgs)
        If AllowMove_ Then MyBase.OnMouseDown(e)
        Exit Sub
    End Sub

    Public Property AllowMove() As Boolean
        Get
            Return AllowMove_
        End Get
        Set(ByVal Value As Boolean)
            AllowMove_ = Value
        End Set
    End Property
End Class
